Bug 1419152 - Review Request: rubygem-memfs - fake file system that can be used for tests
Summary: Review Request: rubygem-memfs - fake file system that can be used for tests
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eduardo Mayorga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1208540
TreeView+ depends on / blocked
 
Reported: 2017-02-03 17:28 UTC by Athos Ribeiro
Modified: 2017-02-09 19:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-09 19:39:28 UTC
Type: ---
e: fedora-review+


Attachments (Terms of Use)

Description Athos Ribeiro 2017-02-03 17:28:07 UTC
Spec URL: https://athoscr.fedorapeople.org/packaging/rubygem-memfs.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/rubygem-memfs-1.0.0-1.fc25.src.rpm

koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=17572316

Description: MemFs provides a fake file system that can be used for tests. Strongly
inspired by FakeFS.
Fedora Account System Username: athoscr

Comment 1 Eduardo Mayorga 2017-02-08 01:21:49 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains Requires: ruby(release). rubygems-devel will drag it, so you can drop it.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     memfs-doc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Gem package should exclude cached Gem.
[x]: Gem should use %gem_install macro.
[x]: gems should not require rubygems package
[x]: Specfile should use macros from rubygem-devel package.
[x]: Test suite should not be run by rake.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-memfs-1.0.0-1.fc25.noarch.rpm
          rubygem-memfs-doc-1.0.0-1.fc25.noarch.rpm
          rubygem-memfs-1.0.0-1.fc25.src.rpm
rubygem-memfs.noarch: W: summary-not-capitalized C fake file system that can be used for tests
rubygem-memfs.noarch: W: no-documentation
rubygem-memfs.src: W: summary-not-capitalized C fake file system that can be used for tests
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
rubygem-memfs.noarch: W: summary-not-capitalized C fake file system that can be used for tests
rubygem-memfs.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
rubygem-memfs (rpmlib, GLIBC filtered):
    ruby(rubygems)

rubygem-memfs-doc (rpmlib, GLIBC filtered):
    rubygem-memfs



Provides
--------
rubygem-memfs:
    rubygem(memfs)
    rubygem-memfs

rubygem-memfs-doc:
    rubygem-memfs-doc



Source checksums
----------------
https://rubygems.org/gems/memfs-1.0.0.gem :
  CHECKSUM(SHA256) this package     : 182e18c7b414e44670b0d8329f82f9787d58649a5c3bd6ec2b433a9918b2f3a1
  CHECKSUM(SHA256) upstream package : 182e18c7b414e44670b0d8329f82f9787d58649a5c3bd6ec2b433a9918b2f3a1



The issue is not a blocker. Please fix it before importing.
PACKAGE APPROVED

Comment 2 Athos Ribeiro 2017-02-08 13:04:04 UTC
Hello Eduardo,

Thank you for your review!

About the issues: I will fix the rpmlint warning, for the summary text.

About the other issue, I believe this is a problem with a fedora-review regex (I will check it): The guidelines say we are not supposed to use
Requires: ruby(release),
but says nothing about BuildRequires.

Since guidelines say to explicitly list all build requirements and that the most important packaged rubygems, like rails [1] do BuildRequires: ruby(release), I believe I should keep that BuildRequires there and patch fedora-review.

Any thoughts?

[1] http://pkgs.fedoraproject.org/cgit/rpms/rubygem-rails.git/tree/rubygem-rails.spec?id=ed97cb3b6b775f6759ef604ce58e82d06903e8e4

Comment 3 Gwyn Ciesla 2017-02-08 13:36:17 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rubygem-memfs

Comment 4 Eduardo Mayorga 2017-02-09 19:26:11 UTC
(In reply to Athos Ribeiro from comment #2)
> About the other issue, I believe this is a problem with a fedora-review
> regex (I will check it): The guidelines say we are not supposed to use
> Requires: ruby(release),
> but says nothing about BuildRequires.
> 
> Since guidelines say to explicitly list all build requirements and that the
> most important packaged rubygems, like rails [1] do BuildRequires:
> ruby(release), I believe I should keep that BuildRequires there and patch
> fedora-review.
> 
> Any thoughts?
> 
> [1]
> http://pkgs.fedoraproject.org/cgit/rpms/rubygem-rails.git/tree/rubygem-rails.
> spec?id=ed97cb3b6b775f6759ef604ce58e82d06903e8e4

Sorry, what I actually meant was adding
BR: ruby(release) 
BR: ruby)
was probably not needed because rubygems-devel would pull it anyway. Absolutely not problem with that though.


Note You need to log in before you can comment on or make changes to this bug.